<?php

/**
 * @file
 * Template to display request details.
 *
 * - $requestNo : request ID.
 *
 * @ingroup views_templates
 */
?>
<h2>Request details for Request No. : <?php echo $requestNo; ?></h2>
<table class="dblog-event">
  <tbody>
    <tr class="odd"><th>Job ID</th><td> <a href="/admin/tmgmt/jobs/<?php echo $request->JobID; ?>"><?php echo $request->JobID; ?></a></td> </tr>
    <tr class="even"><th>Request ID</th><td><?php echo $request->RequestID; ?></td> </tr>
    <tr class="odd"><th>Matter Name</th><td><?php echo $request->MatterName; ?></td> </tr>
    <tr class="even"><th>Job Creators Name</th><td><?php echo $request->JobCreatorsName; ?></td> </tr>
    <tr class="odd"><th>Job Creators Email</th><td><?php echo $request->JobCreatorsEmail; ?></td> </tr>
    <tr class="even"><th>representative Email</th><td><?php echo $request->EmailTo; ?></td> </tr>
    <tr class="odd"><th>Job Name</th><td><?php echo $request->JobName; ?></td> </tr>
    <tr class="even"><th>Source Languages</th><td><?php echo $request->SourceLanguages; ?></td> </tr>
    <tr class="odd"><th>Target Language</th><td><?php echo $request->TargetLanguage; ?></td> </tr>
    <tr class="even"><th>Request Type</th><td><?php echo $request->RequestType; ?></td> </tr>
    <tr class="odd"><th>Delivery Format</th><td><?php echo $request->DeliveryFormat; ?></td> </tr>
    <tr class="even"><th>Special Instructions</th><td><?php echo $request->SpecialInstructions; ?></td> </tr>
    <tr class="odd"><th>Requested Due Date</th><td><?php echo $request->RequestedDueDate; ?></td> </tr>
    <tr class="even"><th>Project Name</th><td><?php echo $request->ProjectName; ?></td> </tr>
    <tr class="odd"><th>Customer Name</th><td><?php echo $request->CustomerName; ?></td> </tr>
    <tr class="odd"><th>Request Status</th><td><?php echo $request->RequestStatus; ?></td> </tr>
  </tbody>
</table>
<?php
if(empty($quotes)) {
  echo '<h4>Quote is not generated for request: ' . $requestNo . '</h4>';
}
else { ?>
<h4>Quote details</h4>
<table class=" cols-7">
  <thead>
    <tr>
      <th scope="col"> ID </th>
      <th scope="col"> Quote No </th>
      <th scope="col"> Rate </th>
      <th scope="col"> Currency </th>
      <th scope="col"> Estimated Price </th>
      <th scope="col"> Turnaround Time </th>
      <th scope="col"> Status </th>
      <th scope="col"> Operation </th>
    </tr>
  </thead>
  <tbody>
  <?php
  $cnt = 1;
  foreach($quotes as $quote) { ?>
    <tr class="<?php echo ($cnt == 1) ? "odd" : "even"; ?>">
      <td><?php echo $quote->QuoteID; ?></td>
      <td><?php echo $quote->QuoteNo; ?></td>
      <td><?php echo $quote->Rate; ?></td>
      <td><?php echo $quote->Currency; ?></td>
      <td><?php echo $quote->EstimatedPrice; ?></td>
      <td><?php echo $quote->TurnaroundTime; ?></td>
      <td><?php echo $quote->QuoteStatus; ?></td>
      <?php
      if($quote->QuoteStatus == 'Quote Complete'){
        $d = request_path();
        $alink = '?qno=' . $quote->QuoteNo . '&s=approve&destination=' . $d;
        $rlink = '?qno=' . $quote->QuoteNo . '&s=reject&destination=' . $d;
        ?>
        <td>
          <a
            class="button"
            href="/approve-request<?php echo $alink;?>" >
              Approve
          </a>
          <a
            class="button"
            href="/approve-request<?php echo $rlink;?>" >
              Reject
          </a>
        </td>
      <?php
      }
      else {
        echo "<td>&nbsp;</td>";
      }
      ?>
    </tr>
    <?php
    $cnt = ($cnt == 1) ? 2 : 1;
  }
  ?>
  </tbody>
</table>
<?php
}
if(empty($orders)) {
  echo '<h4>Order is not generated for request: ' . $requestNo . '</h4>';
}
else { ?>
  <h4>Order details</h4>
  <table class=" cols-6">
    <thead>
      <tr>
        <th scope="col"> ID </th>
        <th scope="col"> Order No </th>
        <th scope="col"> Quote No </th>
        <th scope="col"> Invoice Amount </th>
        <th scope="col"> Delivery Date </th>
        <th scope="col"> Status </th>
      </tr>
    </thead>
    <tbody>
    <?php
    $cnt = 1;
    foreach($orders as $order) { ?>
      <tr class="<?php echo ($cnt == 1) ? "odd" : "even"; ?>">
        <td><?php echo $order->OrderID; ?></td>
        <td><?php echo $order->OrderNo; ?></td>
        <td><?php echo $order->QuoteNo; ?></td>
        <td><?php echo $order->InvoiceAmount; ?></td>
        <td><?php echo $order->DeliveryDate; ?></td>
        <td><?php echo $order->OrderStatus; ?></td>
      </tr>
      <?php
      $cnt = ($cnt == 1) ? 2 : 1;
    }
    ?>
    </tbody>
  </table>
<?php
}
?>
